package nckd.jxccl.opmc.pm.plugin.form.result;

import kd.bos.form.events.AfterDoOperationEventArgs;
import kd.bos.form.plugin.AbstractFormPlugin;
import kd.sdk.plugin.Plugin;
import nckd.jxccl.base.common.constant.FormConstant;

/**
* 视同合格/优秀/无结果
* 实体标识：nckd_updateresult
* @author W.Y.C
* @date 2025/11/26 11:33
* @version 1.0
*/
public class UpdateResultFormPlugin extends AbstractFormPlugin implements Plugin {

    @Override
    public void afterDoOperation(AfterDoOperationEventArgs e) {
        if (e.getOperationResult() != null && e.getOperationResult().isSuccess()) {
            String operateKey = e.getOperateKey();
            if ("updateresult".equals(operateKey)) {
                this.getView().getParentView().invokeOperation(FormConstant.REFRESH_OP);
            }
        }
    }
}